using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    /// <summary>
    /// Класс Program, в котором пользователь вводит свои значения для расстояния, скорости машины преступника и полицейского. Также, добавлена ссылка на класс IKZ
    /// </summary>
    public class Program
    {
        public static void Main(string[] args)
        {
               int S;
                 int V1;
                   int V2;

            Console.WriteLine("Введите значение для расстояния между полицейской машиной и автомобилем преступника");
            S = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Введите скорость полицейского автомобиля");
            V1 = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Введите скорость машины преступника");
            V2 = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine();
            IKZ iKZ = new IKZ();
            iKZ.IKZZ(S, V1, V2);
            Console.ReadKey();

        }
       
    }
    /// <summary>
    /// Класс IKZ, в котором происходит расчет того, за сколько времени машина полицейского догонит машину преступника
    /// </summary>
    public class IKZ
    {
        public int IKZZ(int S, int V1, int V2)
        {
            int t = S / (V1 - V2);
            Console.WriteLine("Полицейские догонят преступника через " + t + " секунд");
            return t;
        }

    }
}   
